Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.transform
Enum XsltTransform.TransformMethodType

    java.lang.Object
      java.lang.Enum<XsltTransform.TransformMethodType>
          com.bea.wli.transform.XsltTransform.TransformMethodType

All Implemented Interfaces:
  Serializable, Comparable<XsltTransform.TransformMethodType>

Enclosing class:
  XsltTransform

    public static enum XsltTransform.TransformMethodType

extends Enum<XsltTransform.TransformMethodType>

This specifies whether the XSLT is inlined in the annotation or is referenced from an external XSLT file

Enum Constant Summary
`XSLT`
`XSLT_REF`

Method Summary
`static XsltTransform.TransformMethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XsltTransform.TransformMethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XSLT_REF

    public static final XsltTransform.TransformMethodType XSLT_REF

### XSLT

    public static final XsltTransform.TransformMethodType XSLT

Method Detail

### values

    public static final XsltTransform.TransformMethodType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XsltTransform.TransformMethodType c : XsltTransform.TransformMethodType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XsltTransform.TransformMethodType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD